Subject: Re: [PATCH net-next 1/2] dt-bindings: net: dsa: microchip: add microchip,no-tag-protocol flag

From: Rob Herring <[email-masked]>
Date: Tue, 6 Aug 2024 11:17:04 -0600

On Thu, Aug 01, 2024 at 02:31:42PM +0200, [email-masked] wrote:
> From: Pieter Van Trappen <[email-masked]>
> 
> Add microchip,no-tag-protocol flag to allow disabling the switch'

What is the ' for?

> tagging protocol. For cases where the CPU MAC does not support MTU
> size > 1500 such as the Zynq GEM.

What is "switch tag protocol"? Not defined anywhere? Is that VLAN 
tagging?

It seems to me that this doesn't need to be in DT. You know you have 
Zynq GEM because it should have a specific compatible. If it doesn't 
support some feature, then that should get propagated to the switch 
somehow.

Rob